"use strict";
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.lockRetryOptions = exports.lockOptions = void 0;
// docs: https://github.com/moxystudio/node-proper-lockfile
const node_fs_1 = __importDefault(require("node:fs"));
exports.lockOptions = { stale: 10_000 };
exports.lockRetryOptions = {
    ...exports.lockOptions,
    retries: { retries: 10, maxTimeout: 1000, factor: 2 },
    fs: node_fs_1.default, // lockfile supports injectable fs, which is needed for browser use
};
//# sourceMappingURL=lockRetryOptions.js.map